ELNode.Function (Apache Tomcat 10.1.48 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: ELNode, class: Function

# Class ELNode.Function

java.lang.Object
org.apache.jasper.compiler.ELNode
org.apache.jasper.compiler.ELNode.Function

Enclosing class:
  `ELNode`

public static class ELNode.Function extends ELNode
Represents a function. Currently only include the prefix and function name, but not its arguments.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ELNode

  `ELNode.ELText, ELNode.Function, ELNode.Nodes, ELNode.Root, ELNode.Text, ELNode.Visitor`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(ELNode.Visitor v)`
  `FunctionInfo`
  `getFunctionInfo()`
  `String`
  `getMethodName()`
  `String`
  `getName()`
  `String`
  `getOriginalText()`
  `String[]`
  `getParameters()`
  `String`
  `getPrefix()`
  `String`
  `getUri()`
  `void`
  `setFunctionInfo(FunctionInfo f)`
  `void`
  `setMethodName(String methodName)`
  `void`
  `setParameters(String[] parameters)`
  `void`
  `setUri(String uri)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### accept

    public void accept(ELNode.Visitor v) throws JasperException
    Specified by:
      `accept` in class `ELNode`
    Throws:
      `JasperException`

  - ### getPrefix

    public String getPrefix()

  - ### getName

    public String getName()

  - ### getOriginalText

    public String getOriginalText()

  - ### setUri

    public void setUri(String uri)

  - ### getUri

    public String getUri()

  - ### setFunctionInfo

    public void setFunctionInfo(FunctionInfo f)

  - ### getFunctionInfo

    public FunctionInfo getFunctionInfo()

  - ### setMethodName

    public void setMethodName(String methodName)

  - ### getMethodName

    public String getMethodName()

  - ### setParameters

    public void setParameters(String[] parameters)

  - ### getParameters

    public String[] getParameters()